'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _performance = require('./performance');

Object.defineProperty(exports, 'performance', {
    enumerable: true,
    get: function get() {
        return _interopRequireDefault(_performance).default;
    }
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable */
var _ref = swan.getSystemInfoSync ? swan.getSystemInfoSync() : { screenWidth: 0, screenHeight: 0, devicePixelRatio: 1 // Mock data

},
    screenWidth = _ref.screenWidth,
    screenHeight = _ref.screenHeight,
    devicePixelRatio = _ref.devicePixelRatio;

var innerWidth = exports.innerWidth = screenWidth;
var innerHeight = exports.innerHeight = screenHeight;
exports.devicePixelRatio = devicePixelRatio;
var screen = exports.screen = {
    width: screenWidth,
    height: screenHeight,
    availWidth: innerWidth,
    availHeight: innerHeight,
    availLeft: 0,
    availTop: 0
};
var scrollX = exports.scrollX = 0;
var scrollY = exports.scrollY = 0;
var ontouchstart = exports.ontouchstart = null;
var ontouchmove = exports.ontouchmove = null;
var ontouchend = exports.ontouchend = null;