"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _CommonComputedStyle = require("./CommonComputedStyle");

var _CommonComputedStyle2 = _interopRequireDefault(_CommonComputedStyle);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getCanvasComputedStyle(canvas) {
    var rect = canvas.getBoundingClientRect();
    var style = Object.assign(_CommonComputedStyle2.default, {
        "display": "inline",
        "position": "static",
        "inlineSize": rect.width + "px",
        "perspectiveOrigin": rect.width / 2 + "px " + rect.height / 2 + "px",
        "transformOrigin": rect.width / 2 + "px " + rect.height / 2 + "px",
        "webkitLogicalWidth": rect.width + "px",
        "webkitLogicalHeight": rect.height + "px",
        "width": rect.width + "px",
        "height": rect.height + "px"
    });
    return style;
} /* eslint-disable */
exports.default = getCanvasComputedStyle;
module.exports = exports["default"];