'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

exports.default = function () {
    return isDevtool;
};

/* eslint-disable */
var isDevtool = false;
if (swan.getSystemInfoSync) {
    var _swan$getSystemInfoSy = swan.getSystemInfoSync(),
        platform = _swan$getSystemInfoSy.platform;

    isDevtool = platform === 'devtools';
} else {
    var descriptor = Object.getOwnPropertyDescriptor(global, 'window');
    // 开发者工具无法重定义 window
    isDevtool = !(!descriptor || descriptor.configurable === true);
}

module.exports = exports['default'];